--Option Panel functions
function vexalarm_optionpanel_OnLoad(reload)

	
	vexalarm.panel = {}
	vexalarm.panel.main = vexalarm.panel_main()
	vexalarm.panel.msgs = vexalarm.panel_msgs()
	vexalarm.panel.msgcontent = vexalarm.panel_msgcontent()
	vexalarm.panel.frame = vexalarm.panel_field()
	vexalarm.panel.sounds = vexalarm.panel_sounds()
	vexalarm.panel.spells2 = vexalarm.panel_spells(2)
	vexalarm.panel.spells3 = vexalarm.panel_spells(3)
	vexalarm.panel.spells4 = vexalarm.panel_spells(4)
	vexalarm.panel.spells5 = vexalarm.panel_spells(5)
	vexalarm.panel.spells6 = vexalarm.panel_spells(6)
	vexalarm.panel.spellprofiles = vexalarm.panel_spellprofiles()
	vexalarm.panel.profiles = vexalarm.panel_profiles()
	vexalarm.panel.show = vexalarm.panel_show()
	
	vexalarm_optionpanel = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm", "Vex Alarm")
	vexalarm_optionpanel_frame = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Frame Design", "Frame Design", "Vex Alarm")
	vexalarm_optionpanel_msgs = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Message Settings", "Message Settings", "Vex Alarm")
	vexalarm_optionpanel_msgcontent = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Message Content", "Message Content", "Vex Alarm")
	vexalarm_optionpanel_spells1 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spells 'Buffs'", "Spells 'Buffs'", "Vex Alarm")
	vexalarm_optionpanel_spells2 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spells 'Selfbuffs'", "Spells 'Selfbuffs'", "Vex Alarm")
	vexalarm_optionpanel_spells3 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spells 'Grpbuffs'", "Spells 'Grpbuffs'", "Vex Alarm")
	vexalarm_optionpanel_spells4 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spells 'Casts'", "Spells 'Casts'", "Vex Alarm")
	vexalarm_optionpanel_spells5 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spells 'Selfcasts'", "Spells 'Selfcasts'", "Vex Alarm")
	vexalarm_optionpanel_spellprofiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spell-Profiles", "Spell-Profiles", "Vex Alarm")
	vexalarm_optionpanel_sounds = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Sounds", "Sounds", "Vex Alarm")
	vexalarm_optionpanel_show = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Show/Enable", "Show/Enable", "Vex Alarm")
	vexalarm_optionpanel_profiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Profiles", "Profiles", "Vex Alarm")
	
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm", vexalarm.panel.main, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Frame Design", vexalarm.panel.frame, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Sounds", vexalarm.panel.sounds, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Message Settings", vexalarm.panel.msgs, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Message Content", vexalarm.panel.msgcontent, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spells 'Buffs'", vexalarm.panel.spells2, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spells 'Selfbuffs'", vexalarm.panel.spells3, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spells 'Grpbuffs'", vexalarm.panel.spells4, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spells 'Casts'", vexalarm.panel.spells5, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spells 'Selfcasts'", vexalarm.panel.spells6, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spell-Profiles", vexalarm.panel.spellprofiles, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Profiles", vexalarm.panel.profiles, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Show/Enable", vexalarm.panel.show, {})
end

function vexalarm_dec2hex(r,g,b)
	if r == nil then r = 0 end
	if g == nil then g = 0 end
	if b == nil then b = 0 end
    return string.format("%02x%02x%02x", r*250, g*250, b*250)
end